Ada Reference Manual (Ada 2022) — Legal Information

# J.15.6 Pragma Unchecked_Union

#### Syntax

1/3
The form of a pragma Unchecked_Union, which is a representation pragma (see 13.1), is as follows:
2/3
pragma Unchecked_Union (first_subtype_local_name);

#### Legality Rules

3/3
The first_subtype_local_name of a pragma Unchecked_Union shall denote an unconstrained discriminated record subtype having a variant_part.

#### Static Semantics

4/3
A pragma Unchecked_Union specifies that the Unchecked_Union aspect (see B.3.3) for the type denoted by first_subtype_local_name has the value True.

Ada 2005 and 2012 Editions sponsored in part by Ada-Europe